<?php

namespace Drupal\graphviz_filter\Plugin\FilterFormat;

use Drupal\graphviz_filter\Plugin\Filter\FilterGraphviz;
use Drupal\graphviz_filter\Plugin\FilterFormat\FilterFormatBase;

/**
 * Dot filter format.
 *
 * @FilterFormat(
 *  id = "dot",
 *  label = @Translation("Dot"),
 *  description = @Translation("Fully-laid-out DOT rendering of the graph.")
 * )
 */
class DotFilterFormat extends FilterFormatBase {

  /**
   * {@inheritdoc}
   */
  public function render($destination, $format_destination, $filename, $format, array $arguments) {
    return '<pre>' . file_get_contents($format_destination) . '</pre>' . "\n";
  }
}
