<?php

namespace Drupal\graphviz_filter\Plugin\FilterFormat;

use Drupal\Core\Annotation\Translation;
use Drupal\graphviz_filter\Plugin\FilterFormat\FilterFormatBase;

/**
 * Gif filter format.
 *
 * @FilterFormat(
 *  id = "gif",
 *  label = @Translation("GIF (Graphics Interchange Format)"),
 *  description = @Translation("Standard HTML <img> rendering for gif."),
 *  arguments = {
 *    "imagemap" = {
 *      "description" = @Translation("Create a client-side image map for the output image (TRUE or FALSE)."),
 *      "value" = FALSE
 *    }
 *  }
 * )
 */
class GifFilterFormat extends FilterFormatBase {}
