<?php

namespace Drupal\graphviz_filter\Plugin;

use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\graphviz_filter\Plugin\Filter\FilterGraphviz;

/**
 * Defines an interface for FilterFormat plugins.
 */
interface FilterFormatInterface extends PluginInspectionInterface {

  /**
   * Renders a filter format.
   *
   * @return mixed
   */
  public function render($destination, $format_destination, $filename, $format, array $arguments);

}
