<?php

namespace Drupal\graphviz_filter\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a FilterFormat item annotation object.
 *
 * @see \Drupal\graphviz_filter\Plugin\FilterFormatPluginManager
 *
 * @Annotation
 */
class FilterFormat extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * The plugin description.
   *
   * @var \Drupal\Core\Annotation\Translation (optional)
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * The default arguments for the filter.
   *
   * @var array (optional)
   */
  public $arguments = [];

}
