<?php

namespace Drupal\graphviz_filter\Plugin\FilterFormat;

use Drupal\Core\Annotation\Translation;
use Drupal\graphviz_filter\Plugin\FilterFormat\FilterFormatBase;

/**
 * Jpg filter format.
 *
 * @FilterFormat(
 *  id = "jpg",
 *  label = @Translation("JPEG"),
 *  description = @Translation("Standard HTML <img> rendering for jpg."),
 *  arguments = {
 *    "imagemap" = {
 *      "description" = @Translation("Create a client-side image map for the output image (TRUE or FALSE)."),
 *      "value" = FALSE
 *    }
 *  }
 * )
 */
class JpgFilterFormat extends FilterFormatBase {}
