<?php

namespace Drupal\graphviz_filter\Plugin\FilterFormat;

use Drupal\Core\Annotation\Translation;
use Drupal\graphviz_filter\Plugin\FilterFormat\FilterFormatBase;

/**
 * PNG filter format.
 *
 * @FilterFormat(
 *  id = "png",
 *  label = @Translation("PNG (Portable Network Graphics"),
 *  description = @Translation("Standard HTML <img> rendering for png."),
 *  arguments = {
 *    "imagemap" = {
 *      "description" = @Translation("Create a client-side image map for the output image (TRUE or FALSE)."),
 *      "value" = FALSE
 *    }
 *  }
 * )
 */
class PngFilterFormat extends FilterFormatBase {}
